OpenTTD Source: LinkGraphSettings Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
LinkGraphSettings Struct Reference

## Public Member Functions
DistributionType | GetDistributionType (CargoType cargo) const

## Data Fields
uint16_t | recalc_time
| time (in days) for recalculating each link graph component.
uint16_t | recalc_interval
| time (in days) between subsequent checks for link graphs to be calculated.
DistributionType | distribution_pax
| distribution type for passengers
DistributionType | distribution_mail
| distribution type for mail
DistributionType | distribution_armoured
| distribution type for armoured cargo class
DistributionType | distribution_default
| distribution type for all other goods
uint8_t | accuracy
| accuracy when calculating things on the link graph. low accuracy => low running time
uint8_t | demand_size
| influence of supply ("station size") on the demand function
uint8_t | demand_distance
| influence of distance between stations on the demand function
uint8_t | short_path_saturation
| percentage up to which short paths are saturated before saturating most capacious paths

## Detailed Description

Definition at line 570 of file settings_type.h.

## Member Function Documentation

## ◆ GetDistributionType()

DistributionType LinkGraphSettings::GetDistributionType | ( | CargoType | cargo | ) | const
| inline

Definition at line 582 of file settings_type.h.

## Field Documentation

## ◆ accuracy

uint8_t LinkGraphSettings::accuracy

accuracy when calculating things on the link graph. low accuracy => low running time

Definition at line 577 of file settings_type.h.

Referenced by DemandCalculator::DemandCalculator(), MCF1stPass::MCF1stPass(), and MCF2ndPass::MCF2ndPass().

## ◆ demand_distance

uint8_t LinkGraphSettings::demand_distance

influence of distance between stations on the demand function

Definition at line 579 of file settings_type.h.

Referenced by DemandCalculator::DemandCalculator().

## ◆ demand_size

uint8_t LinkGraphSettings::demand_size

influence of supply ("station size") on the demand function

Definition at line 578 of file settings_type.h.

## ◆ distribution_armoured

DistributionType LinkGraphSettings::distribution_armoured

distribution type for armoured cargo class

Definition at line 575 of file settings_type.h.

Referenced by AfterLoadGame().

## ◆ distribution_default

DistributionType LinkGraphSettings::distribution_default

distribution type for all other goods

Definition at line 576 of file settings_type.h.

Referenced by AfterLoadGame().

## ◆ distribution_mail

DistributionType LinkGraphSettings::distribution_mail

distribution type for mail

Definition at line 574 of file settings_type.h.

Referenced by AfterLoadGame().

## ◆ distribution_pax

DistributionType LinkGraphSettings::distribution_pax

distribution type for passengers

Definition at line 573 of file settings_type.h.

Referenced by AfterLoadGame().

## ◆ recalc_interval

uint16_t LinkGraphSettings::recalc_interval

time (in days) between subsequent checks for link graphs to be calculated.

Definition at line 572 of file settings_type.h.

Referenced by AfterLoadGame(), LoadFromConfig(), OnTick_LinkGraph(), and StateGameLoop_LinkGraphPauseControl().

## ◆ recalc_time

uint16_t LinkGraphSettings::recalc_time

time (in days) for recalculating each link graph component.

Definition at line 571 of file settings_type.h.

Referenced by AfterLoadGame(), LoadFromConfig(), and FlowMapper::Run().

## ◆ short_path_saturation

uint8_t LinkGraphSettings::short_path_saturation

percentage up to which short paths are saturated before saturating most capacious paths

Definition at line 580 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h